felix-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Justin Edelson <justinedel...@gmail.com>
Subject Re: maven-bundle-plugin 2.0.1 issues, cannot find aQute
Date Fri, 09 Apr 2010 13:13:46 GMT
On 4/9/10 7:38 AM, Charles-Louis.DeMaere@ehealth.fgov.be wrote:
> Dear Felix-users,
...
> 
> I am using maven and eclipse connecting to the repositories of my
> company, and am behind a proxy. So I downloaded the maven-bundle-plugin
> manually, and installed it using the following command :
> mvn install:install-file -Dfile="C:\temp\maven-bundle-plugin-2.0.1.jar"
> -DgroupId=org.apache.felix -DartifactId=maven-bundle-plugin
> -Dversion=2.0.1 -Dpackaging=jar -DgeneratePom=true

You pass "generatePom=true" here, which generates a minimal pom file.
This pom will not have any dependencies listed, which causes the class
error you reported.

You could fix this by downloading the pom from central and using that,
but I think you're just going to run into another problem. I know you
are behind a proxy, but Maven supports proxy servers, so I don't see why
you need to do the manual install.

So my advice is... delete your local repository, configure Maven's proxy
settings, and start over.

Justin

> 
> Now, when I try to build my project, I get the following error (the full
> trace is in the attached log.txt) :
> mvn org.apache.felix:maven-bundle-plugin:2.0.1:bundle -e
> [INFO]
> ------------------------------------------------------------------------
> [ERROR] BUILD ERROR
> [INFO]
> ------------------------------------------------------------------------
> [INFO] Internal error in the plugin manager executing goal
> 'org.apache.felix:maven-bundle-plugin:2.0.1:bundle': Unable to load the
> mojo 'org.apache.felix:maven-bundle-plugin:2.0.1:bundle' in the plugin
> 'org.apache.felix:maven-bundle-plugin'. A required class is missing:
> aQute/lib/osgi/Resource
> aQute.lib.osgi.Resource
> [INFO]
> ------------------------------------------------------------------------
> 
> /(See attached file: log.txt)/
> 
> Knowing that aQute was in the bnd tool, I downloaded bndlib.jar,
> installed it in my local maven repository but the error remains.
> 
> Do you know what I'm doing wrong ?
> 
> Thanks,
> 
> Charles-Louis de Maere
> 
> 
> 
> 
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: users-unsubscribe@felix.apache.org
> For additional commands, e-mail: users-help@felix.apache.org


---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@felix.apache.org
For additional commands, e-mail: users-help@felix.apache.org


Mime
View raw message